Opened 4 years ago

Closed 18 months ago

#6955 release blocker: regression closed duplicate (duplicate)

Test suite cannot be run on Python 3.3 from installed version of Twisted

Reported by: Itamar Turner-Trauring Owned by:
Priority: normal Milestone: Python-3.x
Component: core Keywords:
Cc: Branch:
Author:

Description

It looks like as code changed people haven't been adding all modules necessary to the install list, so you can run Twisted tests from checkout but not installed version. For example:

======================================================================
ERROR: twisted.names.test.test_client (unittest.loader.ModuleImportFailure)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3.3/unittest/case.py", line 384, in _executeTestPart
    function()
  File "/usr/lib/python3.3/unittest/loader.py", line 32, in testFailure
    raise exception
ImportError: Failed to import test module: twisted.names.test.test_client
Traceback (most recent call last):
  File "/usr/lib/python3.3/unittest/loader.py", line 261, in _find_tests
    module = self._get_module_from_name(name)
  File "/usr/lib/python3.3/unittest/loader.py", line 239, in _get_module_from_name
    __import__(name)
  File "/home/itamar/.local/lib/python3.3/site-packages/twisted/names/test/test_client.py", line 25, in <module>
    from twisted.names.test.test_rootresolve import MemoryReactor
ImportError: No module named 'twisted.names.test.test_rootresolve'

Change History (1)

comment:1 Changed 18 months ago by Craig Rodrigues

Resolution: duplicate
Status: newclosed

Duplicate of 8550

Note: See TracTickets for help on using tickets.